org.apache.ivy.util.extendable

## Class DefaultExtendableItem

- java.lang.Object
- - org.apache.ivy.util.extendable.UnmodifiableExtendableItem
  - - org.apache.ivy.util.extendable.DefaultExtendableItem

All Implemented Interfaces:
  ExtendableItem

Direct Known Subclasses:
  Configuration

    public class DefaultExtendableItem
    extends UnmodifiableExtendableItem

An item which is meant to be extended, i.e. defined using extra attributes

### Constructor Summary

Constructors
Constructor and Description
`DefaultExtendableItem()`
`DefaultExtendableItem(java.util.Map stdAttributes, java.util.Map extraAttributes)`

### Method Summary

Methods
`void` `setExtraAttribute(java.lang.String attName, java.lang.String attValue)`

### Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem

`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setStandardAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultExtendableItem

    public DefaultExtendableItem()

#### DefaultExtendableItem

    public DefaultExtendableItem(java.util.Map stdAttributes,
                         java.util.Map extraAttributes)

### Method Detail

#### setExtraAttribute

    public void setExtraAttribute(java.lang.String attName,
                         java.lang.String attValue)

Overrides:
  `setExtraAttribute` in class `UnmodifiableExtendableItem`